<?php
include "../../connect.php";

$id = filterRequest("id");
$amount = filterRequest("amount");
$paymentMethod = filterRequest("paymentMethod");
$driverID = filterRequest("driverID");

$sql = "UPDATE `paymentsDriverPoints` SET `amount` = '$amount', `payment_method` = '$paymentMethod', 
        `driverID` = '$driverID' WHERE `id` = '$id'";

$stmt = $con->prepare($sql);
$stmt->execute();

if ($stmt->rowCount() > 0) {
    // Print a success message
    echo "Record updated successfully";
} else {
    // Print a failure message
    echo "Failed to update the record";
}
?>